import http from '@/api/http';

// 结算-列表
export function jiesuanManageJiesuanList(params: object) {
  return http.get(`/jiesuanManage/jiesuan/list`, params);
}

/**
 * 结算-账户金额信息
 */
export function jiesuanManageJiesuanAccountInfo(params?: object) {
  return http.get('/jiesuanManage/jiesuan/accountInfo', params);
}

/**
 * 结算-申请提现
 */
export function jiesuanManageJiesuanTixian(params: object) {
  return http.post(`/jiesuanManage/jiesuan/tixian`, params);
}

/**
 * 结算-提现记录列表
 */
export function jiesuanManageJiesuanListTixian(params: object) {
  return http.get('/jiesuanManage/jiesuan/listTixian', params);
}

/**
 * 银行卡账号-添加、修改
 */
export function jiesuanManageBankAccountAddCompanyCard(params: object) {
  return http.post(`/jiesuanManage/bankAccount/addCompanyCard`, params);
}
/**
 * 银行卡账号-添加、修改
 */
export function jiesuanManageBankAccountDelCompanyCard(params: object) {
  return http.post(`/jiesuanManage/bankAccount/delCompanyCard`, params);
}

/**
 * 银行列表
 */
export function jiesuanManageBankAccountListBank(params?: object) {
  return http.get('/jiesuanManage/bankAccount/listBank', params);
}

/**
 * 银行卡-合作信息
 */
export function jiesuanManageBankAccountHezuoInfo(params?: object) {
  return http.get('/jiesuanManage/bankAccount/hezuoInfo', params);
}
/**
 * 银行卡-商务列表
 */
export function jiesuanManageBankAccountListShangwu(params?: object) {
  return http.get('/jiesuanManage/bankAccount/listShangwu', params);
}
/**
 * 银行卡-所有银行卡列表
 */
export function jiesuanManageBankAccountListCompanyCard(params: object) {
  return http.get('/jiesuanManage/bankAccount/listCompanyCard', params);
}
/**
 * 银行卡-所有可用银行卡列表
 */
export function jiesuanManageBankAccountListAvailableBankCard(params?: object) {
  return http.get('/jiesuanManage/bankAccount/listAvailableBankCard', params);
}
/**
 * 财务审核-提现列表
 */
export function jiesuanManageFinanceCheckList(params: object) {
  return http.get('/jiesuanManage/financeCheck/list', params);
}
/**
 * 财务审核-公司账号金额详情
 */
export function jiesuanManageFinanceCheckGetShanghuAccountInfo(params: object) {
  return http.get('/jiesuanManage/financeCheck/getShanghuAccountInfo', params);
}

/**
 * 财务审核-待审核到审核
 */
export function jiesuanManageFinanceCheckCheck(params: object) {
  return http.post(`/jiesuanManage/financeCheck/check`, params);
}
/**
 * 财务审核-打款
 */
export function jiesuanManageFinanceCheckRemit(params: object) {
  return http.post(`/jiesuanManage/financeCheck/remit`, params);
}

/**
 * 审核银行卡列表
 */
export function jiesuanShenheList(params?: object) {
  return http.get('jiesuanManage/verify/list', params);
}

export function jiusanBankCardVerify(params?: object) {
  return http.post('jiesuanManage/verify/check', params);
}

// 结算-提现列表-上传发票
export function jiesuanManageJiesuanUpdateTicket(
  id: string | number,
  params?: object
) {
  return http.post(`/jiesuanManage/jiesuan/updateTicket/${id}`, params);
}
